net.minecraft.world.gen.feature

## Class WorldGenHugeTrees

- java.lang.Object
- - net.minecraft.world.gen.feature.WorldGenerator
  - - net.minecraft.world.gen.feature.WorldGenAbstractTree
    - - net.minecraft.world.gen.feature.WorldGenHugeTrees

- Direct Known Subclasses:
    WorldGenMegaJungle, WorldGenMegaPineTree

      public abstract class WorldGenHugeTrees
      extends WorldGenAbstractTree

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `baseHeight`
    `protected int` | `field_150538_d`
    `protected int` | `leavesMetadata`
    `protected int` | `woodMetadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldGenHugeTrees(boolean p_i45458_1_, int p_i45458_2_, int p_i45458_3_, int p_i45458_4_, int p_i45458_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `func_150533_a(java.util.Random p_150533_1_)`
    `protected void` | `func_150534_b(World p_150534_1_, int p_150534_2_, int p_150534_3_, int p_150534_4_, int p_150534_5_, java.util.Random p_150534_6_)`
    `protected void` | `func_150535_a(World p_150535_1_, int p_150535_2_, int p_150535_3_, int p_150535_4_, int p_150535_5_, java.util.Random p_150535_6_)`
    `protected boolean` | `func_150537_a(World p_150537_1_, java.util.Random p_150537_2_, int p_150537_3_, int p_150537_4_, int p_150537_5_, int p_150537_6_)`

    - ### Methods inherited from class net.minecraft.world.gen.feature.WorldGenAbstractTree

      `func_150523_a, func_150524_b, isReplaceable`

    - ### Methods inherited from class net.minecraft.world.gen.feature.WorldGenerator

      `func_150515_a, generate, setBlockAndNotifyAdequately, setScale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseHeight

          protected final int baseHeight

    - #### woodMetadata

          protected final int woodMetadata

    - #### leavesMetadata

          protected final int leavesMetadata

    - #### field_150538_d

          protected int field_150538_d

  - ### Constructor Detail

    - #### WorldGenHugeTrees

          public WorldGenHugeTrees(boolean p_i45458_1_,
                           int p_i45458_2_,
                           int p_i45458_3_,
                           int p_i45458_4_,
                           int p_i45458_5_)

  - ### Method Detail

    - #### func_150533_a

          protected int func_150533_a(java.util.Random p_150533_1_)

    - #### func_150537_a

          protected boolean func_150537_a(World p_150537_1_,
                              java.util.Random p_150537_2_,
                              int p_150537_3_,
                              int p_150537_4_,
                              int p_150537_5_,
                              int p_150537_6_)

    - #### func_150535_a

          protected void func_150535_a(World p_150535_1_,
                           int p_150535_2_,
                           int p_150535_3_,
                           int p_150535_4_,
                           int p_150535_5_,
                           java.util.Random p_150535_6_)

    - #### func_150534_b

          protected void func_150534_b(World p_150534_1_,
                           int p_150534_2_,
                           int p_150534_3_,
                           int p_150534_4_,
                           int p_150534_5_,
                           java.util.Random p_150534_6_)